```{eval-rst}
:parenttoc: True

.. title:: Gallery: contents

===================
Example Gallery
===================


.. toctree::
   :hidden:

   plot_advanced_triangle
   plot_ave_analysis
   plot_benktander
   plot_berqsherm_case
   plot_bf_apriori_from_cl
   plot_bondy_sensitivity
   plot_bootstrap
   plot_bootstrap_comparison
   plot_callable_dev_constant
   plot_capecod
   plot_capecod_onlevel
   plot_clarkldf
   plot_clarkldf_resid
   plot_development_periods
   plot_elrf_resid
   plot_exponential_smoothing
   plot_exposure_triangle
   plot_extrap_period
   plot_glm_ldf
   plot_ibnr_runoff
   plot_industry_to_company
   plot_mack
   plot_munich
   plot_munich_resid
   plot_ptf_resid
   plot_stochastic_bornferg
   plot_tailcurve_compare
   plot_triangle_from_pandas
   plot_triangle_slicing
   plot_value_at_risk
   plot_voting_chainladder

```

Welcome to the `chainladder` gallery. These notebooks syntesize many of the concepts learned in the [User Guide].

Each of these notebooks has a corresponding badge that indicates its the level of difficulty.

* {badge}`easy,badge-success` examples cover the basics of the library.
* {badge}`medium,badge-warning` examples cover the more advanced features of the library.
* {badge}`hard,badge-danger` examples have more complex workflows that are not recommended for beginners.



:::{panels}
:column: col-lg-4 px-2 py-2

---
**[BornhutterFerguson vs Chainladder](plot_benktander)**
```{glue:} plot_benktander
```
+++
{badge}`medium,badge-warning`

---
**[Advanced Triangle Manipulation](plot_advanced_triangle)**
```{glue:} plot_advanced_triangle
```
+++
{badge}`hard,badge-danger`

---
**[Actual Vs Expected](plot_ave_analysis)**
```{glue:} plot_ave_analysis
```
+++
{badge}`easy,badge-success`

---
**[BerquistSherman Adjustment](plot_berqsherm_case)**
```{glue:} plot_berqsherm_case
```
+++
{badge}`easy,badge-success`

---
**[Selecting BornheutterFerguson Apriori](plot_bf_apriori_from_cl)**
```{glue:} plot_bf_apriori_from_cl
```
+++
{badge}`easy,badge-success`

---
**[Bondy Tail Sensitivity](plot_bondy_sensitivity)**
```{glue:} plot_bondy_sensitivity
```
+++
{badge}`medium,badge-warning`

---
**[BootstrapODPSample Variability](plot_bootstrap_comparison)**
```{glue:} plot_bootstrap_comparison
```
+++
{badge}`medium,badge-warning`

---
**[Basic BootstrapODPSample](plot_bootstrap)**
```{glue:} plot_bootstrap
```
+++
{badge}`easy,badge-success`


---
**[DevelopmentConstant Callable](plot_callable_dev_constant)**
```{glue:} plot_callable_dev_constant
```
+++
{badge}`hard,badge-danger`


---
**[CapeCod Onleveling](plot_capecod_onlevel)**
```{glue:} plot_capecod_onlevel
```
+++
{badge}`medium,badge-warning`

---
**[CapeCod Sensitivity](plot_capecod)**
```{glue:} plot_capecod
```
+++
{badge}`hard,badge-danger`


---
**[ClarkLDF Residuals](plot_clarkldf_resid)**
```{glue:} plot_clarkldf_resid
```
+++
{badge}`medium,badge-warning`


---
**[Clark Growth Curves](plot_clarkldf)**
```{glue:} plot_clarkldf
```
+++
{badge}`easy,badge-success`


---
**[Tuning Development Patterns](plot_development_periods)**
```{glue:} plot_development_periods
```
+++
{badge}`medium,badge-warning`


---
**[ELRF Residuals](plot_elrf_resid)**
```{glue:} plot_elrf_resid
```
+++
{badge}`easy,badge-success`


---
**[Attachment Age Smoothing](plot_exponential_smoothing)**
```{glue:} plot_exponential_smoothing
```
+++
{badge}`easy,badge-success`


---
**[Exposure Vector](plot_exposure_triangle)**
```{glue:} plot_exposure_triangle
```
+++
{badge}`easy,badge-success`

---
**[TailCurve Extrapolation](plot_extrap_period)**
```{glue:} plot_extrap_period
```
+++
{badge}`medium,badge-warning`

---
**[TweedieGLM Basics](plot_glm_ldf)**
```{glue:} plot_glm_ldf
```
+++
{badge}`easy,badge-success`

---
**[IBNR Runoff](plot_ibnr_runoff)**
```{glue:} plot_ibnr_runoff
```
+++
{badge}`easy,badge-success`


---
**[Making Predictions](plot_industry_to_company)**
```{glue:} plot_industry_to_company
```
+++
{badge}`easy,badge-success`

---
**[MackChainladder Basics](plot_mack)**
```{glue:} plot_mack
```
+++
{badge}`easy,badge-success`

---
**[MunichAdjustment Residuals](plot_munich_resid)**
```{glue:} plot_munich_resid
```
+++
{badge}`medium,badge-warning`


---
**[MunichAdjustment Basics](plot_munich)**
```{glue:} plot_munich
```
+++
{badge}`easy,badge-success`

---
**[PTF Residuals](plot_ptf_resid)**
```{glue:} plot_ptf_resid
```
+++
{badge}`medium,badge-warning`

---
**[Stochastic BornhuetterFerguson](plot_stochastic_bornferg)**
```{glue:} plot_stochastic_bornferg
```
+++
{badge}`medium,badge-warning`

---
**[TailCurve Basics](plot_tailcurve_compare)**
```{glue:} plot_tailcurve_compare
```
+++
{badge}`easy,badge-success`

---
**[Triangle Creation Basics](plot_triangle_from_pandas)**
```{glue:} plot_triangle_from_pandas
```
+++
{badge}`easy,badge-success`

---
**[Triangle Slicing](plot_triangle_slicing)**
```{glue:} plot_triangle_slicing
```
+++
{badge}`easy,badge-success`

---
**[Value At Risk](plot_value_at_risk)**
```{glue:} plot_value_at_risk
```
+++
{badge}`medium,badge-warning`

---
**[VotingChainladder Basics](plot_voting_chainladder)**
```{glue:} plot_voting_chainladder
```
+++
{badge}`medium,badge-warning`

:::
